/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useChainedCallback = void 0;
const use_event_1 = require("./use-event");
function useChainedCallback(...callbacks) {
    return (0, use_event_1.useEvent)((...args) => {
        callbacks.forEach((callback) => {
            if (typeof callback === 'function') {
                callback(...args);
            }
        });
    });
}
exports.useChainedCallback = useChainedCallback;

        