/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateEffect = void 0;
const react_1 = require("react");
const use_is_first_render_1 = require("./use-is-first-render");
function useUpdateEffect(effect, deps) {
    const isFirst = (0, use_is_first_render_1.useIsFirstRender)();
    (0, react_1.useEffect)(() => {
        if (!isFirst) {
            return effect();
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, deps);
}
exports.useUpdateEffect = useUpdateEffect;

        