/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const react_2 = require("../../utils/react");
const STYLE_LIST = [...tasty_1.CONTAINER_STYLES, ...tasty_1.TEXT_STYLES];
const ContentElement = (0, tasty_1.tasty)({
    qa: 'Content',
    as: 'section',
    styles: {
        gridArea: 'content',
        preset: 'p3',
        color: '#dark.75',
        display: 'block',
        flow: 'column',
        gap: '2x',
        overflow: 'auto',
        styledScrollbar: true,
    },
});
exports.Content = (0, react_1.forwardRef)(function Content(props, ref) {
    props = (0, react_2.useSlotProps)(props, 'content');
    const styles = (0, tasty_1.extractStyles)(props, STYLE_LIST);
    return ((0, jsx_runtime_1.jsx)(ContentElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        