/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrismCode = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const prismjs_1 = __importDefault(require("prismjs"));
const tasty_1 = require("../../../tasty");
const PreElement = (0, tasty_1.tasty)({
    as: 'pre',
    qa: 'CodeBlock',
    styleProps: tasty_1.CONTAINER_STYLES.concat([]),
    className: 'jenga-prism-code',
    styles: {
        margin: 0,
        padding: 0,
        Code: {
            display: 'block',
        },
    },
});
function PrismCode(props, ref) {
    let { code, language = 'javascript', ...otherProps } = props;
    (0, react_1.useEffect)(() => {
        prismjs_1.default.highlightAll();
    });
    return ((0, jsx_runtime_1.jsx)(PreElement, { ref: ref, className: "jenga-prism-code", ...otherProps, children: (0, jsx_runtime_1.jsx)("code", { "data-element": "Code", className: `language-${language}`, children: code }, void 0) }, void 0));
}
/**
 * Code block with syntax highlighting
 */
const _PrismCode = (0, react_1.forwardRef)(PrismCode);
exports.PrismCode = _PrismCode;

        