/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const TextInput_1 = require("../TextInput/TextInput");
const PasswordInput_1 = require("../PasswordInput/PasswordInput");
const NumberInput_1 = require("../NumberInput/NumberInput");
const FileInput_1 = require("../FileInput/FileInput");
const TextArea_1 = require("../TextArea/TextArea");
exports.Input = Object.assign((0, react_1.forwardRef)(function Input(props, ref) {
    return (0, jsx_runtime_1.jsx)(TextInput_1.TextInput, { ref: ref, ...props }, void 0);
}), {
    Text: TextInput_1.TextInput,
    Password: PasswordInput_1.PasswordInput,
    Number: NumberInput_1.NumberInput,
    TextArea: TextArea_1.TextArea,
    File: FileInput_1.FileInput,
});

        