/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gradation = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const elements_1 = require("./elements");
function Gradation(props) {
    const { state, ranges, values = [] } = props;
    if (!values.length) {
        return null;
    }
    const getIsActive = (value, idx) => {
        const [minIdx, maxIdx] = ranges.map((range) => state.getThumbValue(range));
        return idx >= minIdx && idx <= maxIdx;
    };
    return ((0, jsx_runtime_1.jsx)(elements_1.SliderGradationElement, { children: values.map((value, idx) => ((0, jsx_runtime_1.jsx)(elements_1.SliderGradeElement, { mods: {
                active: getIsActive(value, idx),
            }, children: value }, value))) }, void 0));
}
exports.Gradation = Gradation;

        