/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flex = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const FlexElement = (0, tasty_1.tasty)({
    styles: {
        display: 'flex',
        flow: 'row',
    },
});
exports.Flex = (0, react_1.forwardRef)(function Flex(props, ref) {
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES);
    return ((0, jsx_runtime_1.jsx)(FlexElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        