/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const FlowElement = (0, tasty_1.tasty)({
    styles: {
        display: 'block',
        flow: 'column',
    },
});
const STYLE_PROPS = tasty_1.CONTAINER_STYLES;
exports.Flow = (0, react_1.forwardRef)(function Flow(props, ref) {
    const styles = (0, tasty_1.extractStyles)(props, STYLE_PROPS);
    return ((0, jsx_runtime_1.jsx)(FlowElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        