/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableFooter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const TableElementsBase_1 = require("./TableElementsBase");
const TableRowGroup_1 = require("./TableRowGroup");
const TableFooter = (props) => {
    const { totalRecords, styles, ...otherProps } = props;
    if (totalRecords === 0)
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, {}, void 0);
    return ((0, jsx_runtime_1.jsx)(TableRowGroup_1.TableRowGroup, { as: 'tfoot', styles: { height: '40px', fill: '#f9f9fe', ...styles }, ...otherProps, children: (0, jsx_runtime_1.jsx)(TableElementsBase_1.Tr, { children: (0, jsx_runtime_1.jsxs)(TableElementsBase_1.Td, { colSpan: '100%', styles: { textAlign: 'center', fontWeight: 400 }, children: ["Showing ", totalRecords, " results."] }, void 0) }, void 0) }, void 0));
};
exports.TableFooter = TableFooter;

        