/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableRowGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const table_1 = require("@react-aria/table");
const tasty_1 = require("../../../tasty");
const Element = (0, tasty_1.tasty)({});
function TableRowGroup(props) {
    const { children, styles, ...otherProps } = props;
    let { rowGroupProps } = (0, table_1.useTableRowGroup)();
    return ((0, jsx_runtime_1.jsx)(Element, { ...otherProps, ...rowGroupProps, styles: { ...styles }, children: children }, void 0));
}
exports.TableRowGroup = TableRowGroup;

        