/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationCloseButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("@jengaicons/react");
const actions_1 = require("../../../actions");
const tasty_1 = require("../../../../tasty");
const CloseButton = (0, tasty_1.tasty)(actions_1.Button, {
    icon: (0, jsx_runtime_1.jsx)(react_2.X, {}, void 0),
    label: 'Close the notification',
    qa: 'NotificationCloseButton',
    type: 'neutral',
    size: 'small',
    styles: { gridArea: 'close', display: 'flex', padding: '1x' },
});
exports.NotificationCloseButton = (0, react_1.memo)(function NotificationCloseButton(props) {
    const { onPress } = props;
    return (0, jsx_runtime_1.jsx)(CloseButton, { onPress: onPress }, void 0);
});

        