/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationFooter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const react_is_1 = require("react-is");
const react_keyed_flatten_children_1 = __importDefault(require("react-keyed-flatten-children"));
const tasty_1 = require("../../../../tasty");
const actions_1 = require("../../../actions");
const FooterArea = (0, tasty_1.tasty)(actions_1.ButtonGroup, {
    styles: {
        gridArea: 'footer',
        gap: '1x 2x',
        flow: 'row wrap',
        '&:not(:empty)': {
            margin: { '': '0.5x top', 'has-description': '1x top' },
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
exports.NotificationFooter = (0, react_1.memo)(function NotificationFooter(props) {
    const { actions, onClose, onDismiss, hasDescription } = props;
    return ((0, jsx_runtime_1.jsx)(FooterArea, { mods: { 'has-description': hasDescription }, children: (0, react_keyed_flatten_children_1.default)(typeof actions === 'function'
            ? actions({ onClose, onDismiss })
            : actions)
            .filter((action) => (0, react_is_1.isElement)(action))
            .map((action, index) => {
            const { props } = action;
            const defaultType = index === 0 ? 'primary' : 'secondary';
            return react_1.default.cloneElement(action, {
                ...props,
                type: props.type ?? defaultType,
            }, props.children);
        }) }, void 0));
});

        