/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Title_1 = require("../../../content/Title");
const tasty_1 = require("../../../../tasty");
const Header = (0, tasty_1.tasty)(Title_1.Title, {
    as: 'div',
    preset: 'h6',
    styles: {
        gridArea: 'header',
        cursor: 'default',
        '&:not(:empty)': {
            margin: '0.25x 0 0.5x',
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
exports.NotificationHeader = (0, react_1.memo)(function NotificationHeader(props) {
    const { header, ...headerProps } = props;
    return (0, jsx_runtime_1.jsx)(Header, { ...headerProps, children: header }, void 0);
});

        