/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotificationContext = exports.NotificationProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
const NotificationContext = (0, react_1.createContext)(null);
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
function NotificationProvider(props) {
    const { children, ...value } = props;
    return ((0, jsx_runtime_1.jsx)(NotificationContext.Provider, { value: value, children: children }, void 0));
}
exports.NotificationProvider = NotificationProvider;
function useNotificationContext() {
    const context = (0, react_1.useContext)(NotificationContext);
    (0, tiny_invariant_1.default)(context, 'This component cannot be used outside of <Notification />');
    return context;
}
exports.useNotificationContext = useNotificationContext;

        