/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TooltipProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const TooltipTrigger_1 = require("./TooltipTrigger");
const Tooltip_1 = require("./Tooltip");
function TooltipProvider(props) {
    const [rendered, setRendered] = (0, react_1.useState)(false);
    const { title, children, tooltipStyles, width, ...otherProps } = props;
    (0, react_1.useEffect)(() => {
        setRendered(true);
    }, []);
    return rendered ? ((0, jsx_runtime_1.jsxs)(TooltipTrigger_1.TooltipTrigger, { ...otherProps, children: [children, (0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { styles: tooltipStyles, ...(width ? { width } : null), children: title }, void 0)] }, void 0)) : ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children }, void 0));
}
let _TooltipProvider = TooltipProvider;
exports.TooltipProvider = _TooltipProvider;

        