/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Block = exports.GlobalStyledHeading = exports.StyledButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tasty_1 = require("../../tasty");
const actions_1 = require("../../components/actions");
exports.StyledButton = (0, tasty_1.tasty)(actions_1.Button, {
    styles: {
        padding: '3x 6x',
        preset: 't1',
    },
});
exports.GlobalStyledHeading = (0, tasty_1.tasty)('.myButton', {
    display: 'inline-block',
    padding: '1x 2x',
    preset: 't2',
    border: true,
    radius: true,
    fill: {
        '': '#white',
        ':hover': '#purple.20',
    },
    color: '#dark',
});
function Block() {
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(exports.StyledButton, { children: "123" }, void 0), (0, jsx_runtime_1.jsx)(exports.GlobalStyledHeading, {}, void 0)] }, void 0));
}
exports.Block = Block;

        