/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreakpointsProvider = exports.BreakpointsContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
// Default breakpoints mirror Bootstrap defaults without md and xxl breakpoints.
exports.BreakpointsContext = (0, react_1.createContext)([980]);
function BreakpointsProvider({ value, children, }) {
    return ((0, jsx_runtime_1.jsx)(exports.BreakpointsContext.Provider, { value: value, children: children }, void 0));
}
exports.BreakpointsProvider = BreakpointsProvider;

        