/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flowStyle = void 0;
function flowStyle({ display = 'block', flow }) {
    let style;
    if (display.includes('grid')) {
        style = 'grid-auto-flow';
    }
    else if (display.includes('flex')) {
        style = 'flex-flow';
    }
    return style ? { [style]: flow } : null;
}
exports.flowStyle = flowStyle;
flowStyle.__lookupStyles = ['display', 'flow'];

        