/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fontStyle = void 0;
function fontStyle({ font }) {
    if (font == null || font === false)
        return null;
    const fontFamily = font === 'monospace'
        ? 'var(--monospace-font)'
        : font === true
            ? 'var(--font)'
            : `${font}, var(--font)`;
    return {
        'font-family': fontFamily,
        '--font-family': fontFamily,
    };
}
exports.fontStyle = fontStyle;
fontStyle.__lookupStyles = ['font'];

        