/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OUTER_STYLES = exports.CONTAINER_STYLES = exports.FLOW_STYLES = exports.DIMENSION_STYLES = exports.TEXT_STYLES = exports.COLOR_STYLES = exports.BLOCK_STYLES = exports.POSITION_STYLES = exports.BASE_STYLES = void 0;
exports.BASE_STYLES = [
    'display',
    'font',
    'preset',
    'hide',
    'opacity',
    'whiteSpace',
];
exports.POSITION_STYLES = [
    'gridArea',
    'order',
    'gridColumn',
    'gridRow',
    'placeSelf',
    'alignSelf',
    'justifySelf',
    'zIndex',
    'margin',
];
exports.BLOCK_STYLES = [
    'reset',
    'padding',
    'paddingInline',
    'paddingBlock',
    'shadow',
    'border',
    'radius',
    'opacity',
    'overflow',
    'styledScrollbar',
    'hide',
    'outline',
    'textAlign',
];
exports.COLOR_STYLES = ['color', 'fill'];
exports.TEXT_STYLES = [
    'textTransform',
    'fontWeight',
    'fontStyle',
];
exports.DIMENSION_STYLES = [
    'width',
    'height',
    'flexBasis',
    'flexGrow',
    'flexShrink',
    'flex',
];
exports.FLOW_STYLES = [
    'flow',
    'placeItems',
    'placeContent',
    'alignItems',
    'alignContent',
    'justifyItems',
    'justifyContent',
    'align',
    'justify',
    'gap',
    'columnGap',
    'rowGap',
    'gridColumns',
    'gridRows',
    'gridTemplate',
    'gridAreas',
];
exports.CONTAINER_STYLES = [
    ...exports.BASE_STYLES,
    ...exports.COLOR_STYLES,
    ...exports.DIMENSION_STYLES,
    ...exports.POSITION_STYLES,
    ...exports.BLOCK_STYLES,
    ...exports.FLOW_STYLES,
];
exports.OUTER_STYLES = [...exports.POSITION_STYLES, ...exports.DIMENSION_STYLES];

        