/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.marginInlineStyle = void 0;
const styles_1 = require("../utils/styles");
function marginInlineStyle({ marginInline: margin, marginLeft, marginRight, }) {
    if (typeof margin === 'number') {
        margin = `${margin}px`;
    }
    if (!margin)
        return '';
    if (margin === true)
        margin = '1x';
    let { values } = (0, styles_1.parseStyle)(margin);
    if (!values.length) {
        values = ['var(--gap)'];
    }
    const styles = {};
    if (marginLeft == null) {
        styles['margin-left'] = values[0];
    }
    if (marginRight == null) {
        styles['margin-right'] = values[1] || values[0];
    }
    return styles;
}
exports.marginInlineStyle = marginInlineStyle;
marginInlineStyle.__lookupStyles = [
    'marginInline',
    'marginLeft',
    'marginRight',
];

        