/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paddingInlineStyle = void 0;
const styles_1 = require("../utils/styles");
function paddingInlineStyle({ paddingInline: padding, paddingLeft, paddingRight, }) {
    if (typeof padding === 'number') {
        padding = `${padding}px`;
    }
    if (!padding)
        return '';
    if (padding === true)
        padding = '1x';
    let { values } = (0, styles_1.parseStyle)(padding);
    if (!values.length) {
        values = ['var(--gap)'];
    }
    const styles = {};
    if (paddingLeft == null) {
        styles['padding-left'] = values[0];
    }
    if (paddingRight == null) {
        styles['padding-right'] = values[1] || values[0];
    }
    return styles;
}
exports.paddingInlineStyle = paddingInlineStyle;
paddingInlineStyle.__lookupStyles = [
    'paddingInline',
    'paddingLeft',
    'paddingRight',
];

        