/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDisplayName = void 0;
const DEFAULT_NAME = 'Anonymous';
function getDisplayName(Component, fallbackName = DEFAULT_NAME) {
    if (typeof Component === 'function') {
        return Component.displayName ?? Component.name ?? fallbackName;
    }
    return fallbackName;
}
exports.getDisplayName = getDisplayName;

        