/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jengaToAriaButtonProps = exports.ariaToJengaButtonProps = void 0;
/** Converts AriaButtonProps to JengaButtonProps */
function ariaToJengaButtonProps(props) {
    const { type, ...filteredProps } = props;
    return {
        ...filteredProps,
        htmlType: type,
    };
}
exports.ariaToJengaButtonProps = ariaToJengaButtonProps;
/** Converts JengaButtonProps to AriaButtonProps */
function jengaToAriaButtonProps(props) {
    const { htmlType, ...filteredProps } = props;
    return {
        ...filteredProps,
        type: htmlType,
    };
}
exports.jengaToAriaButtonProps = jengaToAriaButtonProps;

        