/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import React, { useEffect } from 'react';
import { deprecationWarning } from '../../utils/warnings';
export function useDeprecationWarning(...args) {
    const didWarn = React.useRef(false);
    useEffect(() => {
        if (didWarn.current)
            return;
        didWarn.current = true;
        deprecationWarning(...args);
    }, [args[0]]);
}

        