/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../tasty';
const BlockElement = tasty({
    styled: {
        display: 'block',
    },
});
export const Block = forwardRef(function Block(props, ref) {
    const styles = extractStyles(props, CONTAINER_STYLES);
    return (_jsx(BlockElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        