/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { SliderGradationElement, SliderGradeElement } from './elements';
export function Gradation(props) {
    const { state, ranges, values = [] } = props;
    if (!values.length) {
        return null;
    }
    const getIsActive = (value, idx) => {
        const [minIdx, maxIdx] = ranges.map((range) => state.getThumbValue(range));
        return idx >= minIdx && idx <= maxIdx;
    };
    return (_jsx(SliderGradationElement, { children: values.map((value, idx) => (_jsx(SliderGradeElement, { mods: {
                active: getIsActive(value, idx),
            }, children: value }, value))) }, void 0));
}

        