/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../../tasty';
const FlowElement = tasty({
    styles: {
        display: 'block',
        flow: 'column',
    },
});
const STYLE_PROPS = CONTAINER_STYLES;
export const Flow = forwardRef(function Flow(props, ref) {
    const styles = extractStyles(props, STYLE_PROPS);
    return (_jsx(FlowElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        