/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../../tasty';
const GridElement = tasty({
    styles: {
        display: 'grid',
        flow: 'row',
    },
});
const PROP_MAP = {
    template: 'gridTemplate',
    columns: 'gridColumns',
    rows: 'gridRows',
    areas: 'gridAreas',
};
export const Grid = forwardRef(function Grid(props, ref) {
    const styles = extractStyles(props, CONTAINER_STYLES, undefined, PROP_MAP);
    return (_jsx(GridElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        