/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Td, Tr } from './TableElementsBase';
import { TableRowGroup } from './TableRowGroup';
export const TableFooter = (props) => {
    const { totalRecords, styles, ...otherProps } = props;
    if (totalRecords === 0)
        return _jsx(_Fragment, {}, void 0);
    return (_jsx(TableRowGroup, { as: 'tfoot', styles: { height: '40px', fill: '#f9f9fe', ...styles }, ...otherProps, children: _jsx(Tr, { children: _jsxs(Td, { colSpan: '100%', styles: { textAlign: 'center', fontWeight: 400 }, children: ["Showing ", totalRecords, " results."] }, void 0) }, void 0) }, void 0));
};

        