/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { useContext, useEffect } from 'react';
import { useEvent } from '../../../../_internal';
import { NotificationsContext } from '../NotificationsContext';
export function useNotificationsObserver(callback) {
    const { addOnDismissListener } = useContext(NotificationsContext) ?? {};
    const callbackEvent = useEvent(callback);
    useEffect(() => addOnDismissListener?.(callbackEvent), [addOnDismissListener]);
}

        