/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

export const BASE_STYLES = [
    'display',
    'font',
    'preset',
    'hide',
    'opacity',
    'whiteSpace',
];
export const POSITION_STYLES = [
    'gridArea',
    'order',
    'gridColumn',
    'gridRow',
    'placeSelf',
    'alignSelf',
    'justifySelf',
    'zIndex',
    'margin',
];
export const BLOCK_STYLES = [
    'reset',
    'padding',
    'paddingInline',
    'paddingBlock',
    'shadow',
    'border',
    'radius',
    'opacity',
    'overflow',
    'styledScrollbar',
    'hide',
    'outline',
    'textAlign',
];
export const COLOR_STYLES = ['color', 'fill'];
export const TEXT_STYLES = [
    'textTransform',
    'fontWeight',
    'fontStyle',
];
export const DIMENSION_STYLES = [
    'width',
    'height',
    'flexBasis',
    'flexGrow',
    'flexShrink',
    'flex',
];
export const FLOW_STYLES = [
    'flow',
    'placeItems',
    'placeContent',
    'alignItems',
    'alignContent',
    'justifyItems',
    'justifyContent',
    'align',
    'justify',
    'gap',
    'columnGap',
    'rowGap',
    'gridColumns',
    'gridRows',
    'gridTemplate',
    'gridAreas',
];
export const CONTAINER_STYLES = [
    ...BASE_STYLES,
    ...COLOR_STYLES,
    ...DIMENSION_STYLES,
    ...POSITION_STYLES,
    ...BLOCK_STYLES,
    ...FLOW_STYLES,
];
export const OUTER_STYLES = [...POSITION_STYLES, ...DIMENSION_STYLES];

        