/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

const DEFAULT_NAME = 'Anonymous';
export function getDisplayName(Component, fallbackName = DEFAULT_NAME) {
    if (typeof Component === 'function') {
        return Component.displayName ?? Component.name ?? fallbackName;
    }
    return fallbackName;
}

        