import { ReactElement } from 'react';
import { JengaActionProps } from '../Action';
import { Styles } from '../../../tasty';
export interface JengaButtonProps extends JengaActionProps {
    icon?: ReactElement;
    rightIcon?: ReactElement;
    isLoading?: boolean;
    isSelected?: boolean;
    type?: 'primary' | 'clear' | 'invisible' | 'link' | 'outline' | (string & {});
    size?: 'small' | 'medium' | 'large' | (string & {});
}
export declare const DEFAULT_BUTTON_STYLES: Styles;
export declare const Button: import("react").ForwardRefExoticComponent<JengaButtonProps & import("react").RefAttributes<import("@react-types/shared").FocusableRefValue<HTMLElement, HTMLElement>>>;
