import { JengaFieldWrapperProps } from './types';
declare type WrapperProps<Props extends JengaFieldWrapperProps> = {
    [K in keyof Pick<Props, keyof JengaFieldWrapperProps>]: JengaFieldWrapperProps[K];
};
export declare function extractFieldWrapperProps<Props extends JengaFieldWrapperProps, FieldWrapperKeys extends keyof JengaFieldWrapperProps = keyof JengaFieldWrapperProps, ActualWrapperProps extends WrapperProps<Props> = WrapperProps<Props>, RestProps extends Omit<Props, FieldWrapperKeys> = Omit<Props, FieldWrapperKeys>>(props: Props): Readonly<{
    fieldWrapperProps: ActualWrapperProps;
    rest: RestProps;
}>;
export {};
