/// <reference types="react" />
import { JengaAlertProps } from '../../content/Alert';
import { Field } from './Field';
import { SubmitError } from './SubmitError';
import { useForm } from './useForm';
import { useFormProps, FormContext } from './Form';
declare const Form: (<T extends import("./types").FieldTypes>(props: import("./Form").JengaFormProps<T> & {
    ref?: import("@react-types/shared").DOMRef<HTMLFormElement> | undefined;
}) => JSX.Element) & {
    Item: typeof Field;
    SubmitError: typeof SubmitError;
    useForm: typeof useForm;
} & {
    Item: typeof Field;
    useForm: typeof useForm;
    SubmitError: (props: JengaAlertProps) => JSX.Element | null;
};
export { useFormProps, Form, Field, useForm, FormContext, SubmitError };
export { useFieldProps } from './use-field';
export type { JengaFormProps } from './Form';
export type { JengaFormInstance } from './useForm';
export type { FieldTypes, Fields } from './types';
export type { UseFieldParams, UseFieldPropsParams } from './use-field';
export type { JengaAlertProps as JengaSubmitErrorProps };
