import { ReactNode } from 'react';
export declare type FieldTypes = {
    [key: string]: any;
};
export declare type JengaFieldData<Name extends string | number | symbol, Value> = {
    readonly name: Name;
    errors: ReactNode[];
    value?: Value;
    inputValue?: Value;
    touched?: boolean;
    rules?: any[];
    validating?: boolean;
};
export declare type Fields = Record<keyof FieldTypes, JengaFieldData<string, any>>;
export declare type SetFieldsArrType<T extends FieldTypes, Name extends keyof T> = JengaFieldData<Name, T[Name]>;
