import { TextInput } from '../TextInput/TextInput';
import { PasswordInput } from '../PasswordInput/PasswordInput';
import { NumberInput } from '../NumberInput/NumberInput';
import { FileInput } from '../FileInput/FileInput';
import { TextArea } from '../TextArea/TextArea';
declare type JengaInput = typeof TextInput & {
    Text: typeof TextInput;
    Password: typeof PasswordInput;
    Number: typeof NumberInput;
    TextArea: typeof TextArea;
    File: typeof FileInput;
};
export declare const Input: JengaInput;
export {};
