import { MouseEventHandler } from 'react';
import { BaseProps, ContainerStyleProps, Styles, TagNameProps } from '../../tasty';
import { LabelPosition, NecessityIndicator, ValidationState } from '../../shared';
export declare const INLINE_LABEL_STYLES: Styles;
export declare const LABEL_STYLES: Styles;
export interface JengaLabelProps extends BaseProps, TagNameProps, ContainerStyleProps {
    labelPosition?: LabelPosition;
    necessityIndicator?: NecessityIndicator;
    isRequired?: boolean;
    includeNecessityIndicatorInAccessibilityName?: boolean;
    htmlFor?: string;
    for?: string;
    validationState?: ValidationState;
    onClick?: MouseEventHandler;
}
declare let _Label: import("react").ForwardRefExoticComponent<JengaLabelProps & import("react").RefAttributes<unknown>>;
export { _Label as Label };
