/// <reference types="react" />
import { JengaTextInputBaseProps } from '../TextInput/TextInputBase';
/**
 * PasswordInputs are password inputs that allow users to input passwords or code entries
 * with a keyboard. Various decorations can be displayed around the field to
 * communicate the entry requirements.
 */
declare const _PasswordInput: import("react").ForwardRefExoticComponent<Omit<JengaTextInputBaseProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
export { _PasswordInput as PasswordInput };
