import { ColumnProps, CellProps, RowProps } from '@react-stately/table';
import { HTMLProps } from 'react';
import { BasePropsWithoutChildren, Styles } from '../../../tasty';
export declare const TableHeader: <T>(props: TableHeaderProps<T>) => JSX.Element;
export declare const TableBody: <T>(props: TableBodyProps<T>) => JSX.Element;
export declare const Row: (props: RowProps & {
    align?: 'left' | 'center' | 'right';
    styles?: Styles;
} & BasePropsWithoutChildren & HTMLProps<HTMLTableRowElement>) => JSX.Element;
export declare const Column: <T>(props: any) => JSX.Element;
export declare const AligmentFromDTCatalog: {
    generic: string;
    numeric: string;
    date: string;
};
export declare const Cell: (props: CellProps & BasePropsWithoutChildren & HTMLProps<HTMLTableCellElement>) => JSX.Element;
