import { HTMLProps, ReactElement, Ref } from 'react';
import { JengaCheckboxProps } from '../../forms/Checkbox/Checkbox';
import { Styles, BasePropsWithoutChildren } from '../../../tasty';
import { JengaTableBaseProps } from './types';
export declare const Tr: import("react").ComponentType<Omit<import("../../../tasty").Props, "variant"> & import("../../../tasty/tasty").WithVariant<import("../../../tasty/tasty").VariantMap>>;
export declare const Th: import("react").ComponentType<Omit<import("../../../tasty").Props, "variant"> & import("../../../tasty/tasty").WithVariant<import("../../../tasty/tasty").VariantMap>>;
export declare const Td: import("react").ComponentType<Omit<import("../../../tasty").Props, "variant"> & import("../../../tasty/tasty").WithVariant<import("../../../tasty/tasty").VariantMap>>;
export declare const TableWrapper: import("react").ComponentType<Omit<import("../../../tasty").Props, "variant"> & import("../../../tasty/tasty").WithVariant<import("../../../tasty/tasty").VariantMap>>;
export declare const TableTemplate: import("react").ComponentType<{
    [x: string]: any;
    [x: number]: any;
} & {}>;
export declare const JengaTablePropsContext: import("react").Context<{
    zebraStripes: boolean;
    cellPadding: string | string[];
    checkboxProps: JengaCheckboxProps;
    checkboxStyles: Styles;
    cellProps: BasePropsWithoutChildren & HTMLProps<HTMLTableCellElement>;
    cellStyles: Styles;
    rowStyles: Styles;
    rowProps: BasePropsWithoutChildren & HTMLProps<HTMLTableRowElement>;
}>;
export declare function _TableBase<T>(props: JengaTableBaseProps<T>, ref: any): JSX.Element;
export declare const TableBase: <T>(props: import("@react-stately/table").TableStateProps<T> & import("../../../tasty").BaseProps & {
    cellPadding?: string | string[] | undefined;
    zebraStripes?: boolean | undefined;
    checkboxProps?: JengaCheckboxProps | undefined;
    checkboxStyles?: Styles | undefined;
    cellStyles?: Styles | undefined;
    cellProps?: BasePropsWithoutChildren | undefined;
    rowProps?: BasePropsWithoutChildren | undefined;
    rowStyles?: Styles | undefined;
} & {
    ref?: Ref<unknown> | undefined;
}) => ReactElement;
