import { HTMLAttributes } from 'react';
export interface DialogContextValue extends HTMLAttributes<HTMLElement> {
    type?: 'modal' | 'popover' | 'tray' | 'fullscreen' | 'fullscreenTakeover';
    isDismissable?: boolean;
    onClose?: (arg?: string) => void;
}
export declare const DialogContext: import("react").Context<DialogContextValue | null>;
export declare function useDialogContext(): DialogContextValue;
