/// <reference types="react" />
import { BaseProps, Styles } from '../../../tasty';
import { WithCloseBehavior } from './types';
import type { TrayProps } from '@react-types/overlays';
export interface JengaTrayProps extends TrayProps, WithCloseBehavior {
    container?: HTMLElement;
    qa?: BaseProps['qa'];
    onClose?: (action?: string) => void;
    isFixedHeight?: boolean;
    isNonModal?: boolean;
    styles?: Styles;
}
declare let _Tray: import("react").ForwardRefExoticComponent<JengaTrayProps & import("react").RefAttributes<unknown>>;
export { _Tray as Tray };
