import { Key } from 'react';
import { JengaNotifyApiPropsWithID } from '../types';
import { CollectionChildren } from '../hooks';
export declare type NotificationsBarProps = {
    items: Iterable<JengaNotifyApiPropsWithID>;
    children: CollectionChildren<JengaNotifyApiPropsWithID>;
    onRemoveNotification: (id: Key) => void;
    onDismissNotification: (id: Key) => void;
    /**
     * Defines the amount of notifications that can be displayed at once.
     * @default 5
     */
    limit?: number;
};
/**
 * @internal Do not use it
 */
export declare function NotificationsBar(props: NotificationsBarProps): JSX.Element;
export declare namespace NotificationsBar {
    var Item: (props: JengaNotifyApiPropsWithID) => null;
}
