import { ReactNode } from 'react';
import { JengaDialogProps, JengaDialogTriggerProps } from '../../Dialog';
import { JengaNotifyApiPropsWithID } from '../types';
export declare type NotificationsDialogTriggerProps = Omit<JengaDialogTriggerProps, 'type'> & {
    onCloseNotificationInBar?: (props: JengaNotifyApiPropsWithID) => void;
};
export declare function NotificationsDialogTrigger(props: NotificationsDialogTriggerProps): JSX.Element;
export declare type NotificationsDialogProps = {
    title?: ReactNode;
} & JengaDialogProps;
export declare function NotificationsDialog(props: NotificationsDialogProps): JSX.Element;
