import { PropsWithChildren } from 'react';
import { JengaButtonProps } from '../../../actions';
export declare type NotificationActionProps = PropsWithChildren<{
    type?: 'primary' | 'secondary';
    /**
     * @default false
     */
    disableCloseOnAction?: boolean;
}> & Omit<JengaButtonProps, 'type' | 'size' | 'mods'>;
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export declare function NotificationAction(props: NotificationActionProps): JSX.Element;
