import { PropsWithChildren } from 'react';
interface NotificationContextType {
    onClose?: () => void;
}
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export declare function NotificationProvider(props: PropsWithChildren<NotificationContextType>): JSX.Element;
export declare function useNotificationContext(): NotificationContextType;
export {};
