import { PropsWithChildren, RefObject } from 'react';
import { JengaNotificationsApi, JengaNotifyApiPropsWithID } from '../types';
export declare const NotificationsContext: import("react").Context<{
    api: JengaNotificationsApi;
    addOnDismissListener: (listener: (notification: JengaNotifyApiPropsWithID) => void) => () => void;
} | null>;
export declare function NotificationsProvider(props: PropsWithChildren<{
    rootRef: RefObject<HTMLElement | null> | null;
}>): JSX.Element;
