import { CollectionChildren, NotificationsListState } from './types';
import type { HTMLAttributes, MutableRefObject } from 'react';
export declare type UseNotificationsListPropsType<T, R> = {
    items?: Iterable<T>;
    children: CollectionChildren<T, R>;
    ref: MutableRefObject<HTMLElement | null>;
};
export declare type UseNotificationsListReturnType<R> = {
    listProps: HTMLAttributes<HTMLElement>;
    state: NotificationsListState<R>;
};
export declare function useNotificationsList<T extends object, R>(props: UseNotificationsListPropsType<T, R>): UseNotificationsListReturnType<R>;
