/// <reference types="react" />
import { JengaToastsApiProps } from './types';
export declare type ToastProps = {
    /**
     * If set to true, when the component gets unmounted, notifications will not be removed from the bar
     *
     * @default false
     */
    disableRemoveOnUnmount?: boolean;
} & JengaToastsApiProps;
export declare function Toast(props: ToastProps): null;
export declare namespace Toast {
    var Success: (props: ToastProps) => JSX.Element;
    var Danger: (props: ToastProps) => JSX.Element;
    var Attention: (props: ToastProps) => JSX.Element;
}
