import { FocusStrategy } from '@react-types/shared';
import React, { HTMLAttributes, MutableRefObject } from 'react';
export interface MenuContextValue extends HTMLAttributes<HTMLElement> {
    onClose?: () => void;
    closeOnSelect?: boolean;
    shouldFocusWrap?: boolean;
    autoFocus?: boolean | FocusStrategy;
    ref?: MutableRefObject<HTMLUListElement>;
}
export declare const MenuContext: React.Context<MenuContextValue>;
export declare function useMenuContext(): MenuContextValue;
