import { ReactNode } from 'react';
export interface TrackingProps {
    event?: (name: string, data?: Record<string, any>, element?: HTMLElement) => void;
}
export declare const TrackingContext: import("react").Context<TrackingProps>;
export interface JengaTrackingProviderProps extends TrackingProps {
    children?: ReactNode;
}
export declare function TrackingProvider({ children, event, }: JengaTrackingProviderProps): JSX.Element;
export declare function useTracking(): TrackingProps;
