/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSyncRef = void 0;
const react_1 = require("react");
const react_2 = require("../../utils/react");
function useSyncRef(value) {
    const ref = (0, react_1.useRef)(value);
    (0, react_2.useLayoutEffect)(() => {
        ref.current = value;
    });
    return ref;
}
exports.useSyncRef = useSyncRef;

        