/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HiddenInput = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
exports.HiddenInput = styled_components_1.default.input `
  &&&&& {
    display: block;
    font-family: inherit;
    font-size: 100%;
    line-height: 1.15;
    margin: 0;
    overflow: visible;
    box-sizing: border-box;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    opacity: 0.0001;
    z-index: 1;
    cursor: ${({ isButton }) => (isButton ? 'pointer' : 'default')};
    width: 100%;
    height: 100%;
    cursor: pointer;
  }
`;

        