/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("../../../utils/react");
const Space_1 = require("../../layout/Space");
const tasty_1 = require("../../../tasty");
const ButtonGroupElement = (0, tasty_1.tasty)(Space_1.Space, {
    qa: 'ButtonGroup',
    styles: {
        gridArea: 'buttonGroup',
    },
});
exports.ButtonGroup = (0, react_1.forwardRef)(function ButtonGroup(props, ref) {
    return ((0, jsx_runtime_1.jsx)(ButtonGroupElement, { ref: ref, ...(0, react_2.useSlotProps)(props, 'buttonGroup') }, void 0));
});

        