/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Divider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const react_2 = require("../../utils/react");
const DividerElement = (0, tasty_1.tasty)({
    styles: {
        gridArea: 'divider',
        display: {
            '': 'block',
            text: 'grid',
        },
        gridColumns: '1fr auto 1fr',
        placeItems: 'center stretch',
        gap: '1x',
        preset: 'c1',
        height: {
            '': '1bw 1bw',
            text: 'auto',
        },
        fill: {
            '': '#border',
            text: 'none',
        },
        border: '0',
        margin: '0',
        Line: {
            height: '1bw 1bw',
            fill: '#border',
        },
    },
    styleProps: [...tasty_1.OUTER_STYLES, ...tasty_1.BASE_STYLES, ...tasty_1.COLOR_STYLES],
});
exports.Divider = (0, react_1.forwardRef)(function Divider(props, ref) {
    const { mods, children, styles, ...otherProps } = (0, react_2.useSlotProps)(props, 'divider');
    return ((0, jsx_runtime_1.jsx)(DividerElement, { as: children ? 'div' : 'hr', role: children ? 'separator' : undefined, mods: {
            text: !!children,
            ...mods,
        }, ...(0, tasty_1.filterBaseProps)(otherProps, { eventProps: true }), ref: ref, styles: styles, children: children && ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", { "data-element": "Line" }, void 0), (0, jsx_runtime_1.jsx)("div", { children: children }, void 0), (0, jsx_runtime_1.jsx)("div", { "data-element": "Line" }, void 0)] }, void 0)) }, void 0));
});

        