/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Footer = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const react_2 = require("../../utils/react");
const STYLE_LIST = [...tasty_1.CONTAINER_STYLES, ...tasty_1.TEXT_STYLES];
const FooterElement = (0, tasty_1.tasty)({
    qa: 'Footer',
    'data-id': 'Footer',
    styles: {
        gridArea: 'footer',
        display: 'block',
        flow: 'column',
    },
});
exports.Footer = (0, react_1.forwardRef)(function Footer(props, ref) {
    props = (0, react_2.useSlotProps)(props, 'footer');
    const styles = (0, tasty_1.extractStyles)(props, STYLE_LIST);
    return ((0, jsx_runtime_1.jsx)(FooterElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        