/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RangeSlider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const SliderThumb_1 = require("./SliderThumb");
const SliderTrack_1 = require("./SliderTrack");
const SliderBase_1 = require("./SliderBase");
const Gradation_1 = require("./Gradation");
const INTL_MESSAGES = {
    minimum: 'Minimum',
    maximum: 'Maximum',
};
function RangeSlider(props, ref) {
    let { isDisabled, styles, gradation, ...otherProps } = props;
    return ((0, jsx_runtime_1.jsx)(SliderBase_1.SliderBase, { ...otherProps, children: ({ trackRef, inputRef, state }) => {
            return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Gradation_1.Gradation, { state: state, ranges: [0, 1], values: gradation }, void 0), (0, jsx_runtime_1.jsx)(SliderTrack_1.SliderTrack, { state: state, isDisabled: isDisabled }, void 0), (0, jsx_runtime_1.jsx)(SliderThumb_1.SliderThumb, { index: 0, "aria-label": INTL_MESSAGES['minimum'], state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0), (0, jsx_runtime_1.jsx)(SliderThumb_1.SliderThumb, { index: 1, "aria-label": INTL_MESSAGES['maximum'], state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0)] }, void 0));
        } }, void 0));
}
const _RangeSlider = (0, react_1.forwardRef)(RangeSlider);
const __RangeSlider = Object.assign(_RangeSlider, {
    jengaInputType: 'Number',
});
exports.RangeSlider = __RangeSlider;

        