/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SliderInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const __1 = require("../../../");
// function calculateWidth(max?: number, hasSuffix?: boolean) {
//   if (typeof max === 'undefined') {
//     return undefined;
//   }
//   const value = String(max).length;
//   // for 2 digit values 1.6 is better with suffix
//   const suffixWidth = value > 2 ? 1.6 : 1.75;
//   const charWidth = hasSuffix ? suffixWidth : 2;
//   return `${value * charWidth}x`;
// }
function SliderInput(props) {
    const { state, index, formatOptions, width, min, max, ...otherProps } = props;
    // const inputWidth = width || calculateWidth(max);
    const value = state.values[index];
    const onChange = (0, react_1.useCallback)((value) => {
        state.setThumbValue(index, value);
    }, [index, state]);
    const maxLength = typeof max !== 'undefined' ? String(max).length : undefined;
    return ((0, jsx_runtime_1.jsx)(__1.NumberInput, { insideForm: false, labelPosition: "top", ...otherProps, hideStepper: true, size: "small", 
        // wrapperStyles={{
        //   width: inputWidth,
        // }}
        textAlign: "center", formatOptions: formatOptions, value: value, minValue: state.getThumbMinValue(index), maxValue: state.getThumbMaxValue(index), maxLength: maxLength, onChange: onChange }, void 0));
}
exports.SliderInput = SliderInput;

        