/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Grid = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const GridElement = (0, tasty_1.tasty)({
    styles: {
        display: 'grid',
        flow: 'row',
    },
});
const PROP_MAP = {
    template: 'gridTemplate',
    columns: 'gridColumns',
    rows: 'gridRows',
    areas: 'gridAreas',
};
exports.Grid = (0, react_1.forwardRef)(function Grid(props, ref) {
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES, undefined, PROP_MAP);
    return ((0, jsx_runtime_1.jsx)(GridElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        