/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatsCard = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Card_1 = require("../../content/Card/Card");
const Title_1 = require("../../content/Title");
const Text_1 = require("../../content/Text");
function StatsCard({ title, value, suffix, ...props }) {
    return ((0, jsx_runtime_1.jsxs)(Card_1.Card, { display: "flex", placeContent: "space-between", gap: "1x", border: false, shadow: "0 2px 6px #dark.10", padding: "2.5x", ...props, children: [(0, jsx_runtime_1.jsx)(Title_1.Title, { nowrap: true, level: 4, color: "#minor", preset: "default", children: title }, void 0), (0, jsx_runtime_1.jsxs)(Text_1.Text.Strong, { preset: "h3", children: [value, " ", suffix] }, void 0)] }, void 0));
}
exports.StatsCard = StatsCard;

        