/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableCheckboxCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const table_1 = require("@react-aria/table");
const table_2 = require("@react-aria/table");
const react_1 = require("react");
const Checkbox_1 = require("../../forms/Checkbox/Checkbox");
const TableElementsBase_1 = require("./TableElementsBase");
function TableCheckboxCell(props) {
    const { item: cell, state, ...otherProps } = props;
    let ref = (0, react_1.useRef)(null);
    let { gridCellProps } = (0, table_2.useTableCell)({ node: cell }, state, ref);
    let { checkboxProps } = (0, table_1.useTableSelectionCheckbox)({ key: cell.parentKey || 'randomKey' }, state);
    const { checkboxProps: jengCheckboxProps, checkboxStyles } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    const { styles: checkboxStylesFromProps, ...otherCheckboxProps } = jengCheckboxProps;
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Td, { ...cell.props, ...gridCellProps, ...otherProps, ref: ref, children: (0, jsx_runtime_1.jsx)(Checkbox_1.Checkbox, { ...checkboxProps, styles: { ...checkboxStylesFromProps, ...checkboxStyles }, ...otherCheckboxProps }, void 0) }, void 0));
}
exports.TableCheckboxCell = TableCheckboxCell;

        