/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableHeaderRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const table_1 = require("@react-aria/table");
const TableElementsBase_1 = require("./TableElementsBase");
function TableHeaderRow(props) {
    const { item, state, children, styles, ...otherProps } = props;
    let ref = (0, react_1.useRef)(null);
    let { rowProps } = (0, table_1.useTableHeaderRow)({ node: item }, state, ref);
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Tr, { ...rowProps, ...otherProps, ref: ref, role: 'HeaderRow', styles: { borderTop: '0', borderBottom: '1px solid #e5e5fc', ...styles }, children: children }, void 0));
}
exports.TableHeaderRow = TableHeaderRow;

        