/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDialogContext = exports.DialogContext = void 0;
const react_1 = require("react");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
exports.DialogContext = (0, react_1.createContext)({});
function useDialogContext() {
    const dialogContext = (0, react_1.useContext)(exports.DialogContext);
    (0, tiny_invariant_1.default)(dialogContext !== null, '');
    return dialogContext;
}
exports.useDialogContext = useDialogContext;

        