/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationsProvider = exports.NotificationsContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const portal_1 = require("../../../portal");
const Bar_1 = require("../Bar");
const use_notifications_1 = require("./use-notifications");
exports.NotificationsContext = (0, react_1.createContext)(null);
function NotificationsProvider(props) {
    const { children, rootRef } = props;
    const { notifications, api, addOnDismissListener, onDismissNotification } = (0, use_notifications_1.useNotifications)(rootRef);
    const providerValue = (0, react_1.useMemo)(() => ({ api, addOnDismissListener }), []);
    return ((0, jsx_runtime_1.jsxs)(exports.NotificationsContext.Provider, { value: providerValue, children: [(0, jsx_runtime_1.jsx)(portal_1.Portal, { children: (0, jsx_runtime_1.jsx)(Bar_1.NotificationsBar, { items: notifications, onRemoveNotification: api.remove, onDismissNotification: onDismissNotification, children: (notification) => ((0, jsx_runtime_1.jsx)(Bar_1.NotificationsBar.Item, { ...notification }, notification.id)) }, void 0) }, void 0), children] }, void 0));
}
exports.NotificationsProvider = NotificationsProvider;

        