/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationListItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("../hooks");
const tasty_1 = require("../../../../tasty");
const _internal_1 = require("../../../../_internal");
const NotificationView_1 = require("../NotificationView");
const NotificationListItemWrap = (0, tasty_1.tasty)({
    styles: { borderBottom: { '': '1bw solid #border', ':last-child': 'none' } },
});
/**
 * @internal This component is not intended to be used
 */
function NotificationListItem(props) {
    const { item, state, onDismiss } = props;
    const { key, props: notificationProps } = item;
    const ref = (0, react_1.useRef)(null);
    const onDismissEvent = (0, _internal_1.useEvent)(() => onDismiss?.(key));
    const { itemProps } = (0, hooks_1.useNotificationListItem)({ ref, key, state });
    return ((0, jsx_runtime_1.jsx)(NotificationListItemWrap, { children: (0, jsx_runtime_1.jsx)(NotificationView_1.NotificationView, { ref: ref, attributes: itemProps, ...notificationProps, isDismissible: !!onDismiss, onDismiss: onDismissEvent }, void 0) }, void 0));
}
exports.NotificationListItem = NotificationListItem;

        