/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotificationsApi = void 0;
const react_1 = require("react");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
const NotificationsContext_1 = require("../NotificationsContext");
function useNotificationsApi() {
    const context = (0, react_1.useContext)(NotificationsContext_1.NotificationsContext);
    (0, tiny_invariant_1.default)(context !== null, "You can't use Notifications outside of the <Root /> component. Please, check if your component is descendant of <Root/> component");
    return context.api;
}
exports.useNotificationsApi = useNotificationsApi;

        