/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotificationsObserver = void 0;
const react_1 = require("react");
const _internal_1 = require("../../../../_internal");
const NotificationsContext_1 = require("../NotificationsContext");
function useNotificationsObserver(callback) {
    const { addOnDismissListener } = (0, react_1.useContext)(NotificationsContext_1.NotificationsContext) ?? {};
    const callbackEvent = (0, _internal_1.useEvent)(callback);
    (0, react_1.useEffect)(() => addOnDismissListener?.(callbackEvent), [addOnDismissListener]);
}
exports.useNotificationsObserver = useNotificationsObserver;

        