/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfirmDeletionDialogForm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const index_1 = require("../../index");
function ConfirmDeletionDialogForm(props) {
    let { name, onSubmit, onDismiss } = props;
    return ((0, jsx_runtime_1.jsxs)(index_1.DialogForm, { title: "Delete Deployment", submitProps: {
            label: 'Delete',
            theme: 'danger',
        }, cancelProps: {
            label: 'I changed my mind',
        }, onSubmit: onSubmit, onDismiss: onDismiss, children: [(0, jsx_runtime_1.jsxs)(index_1.Paragraph, { children: ["To delete the instance, please, enter its full name:", ' ', (0, jsx_runtime_1.jsx)(index_1.Text.Strong, { children: name }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(index_1.Field, { name: "name", rules: [
                    {
                        required: true,
                        message: 'This field is required',
                    },
                    {
                        async validator(rule, value) {
                            if (value !== name) {
                                throw new Error('Incorrect name');
                            }
                        },
                    },
                ], children: (0, jsx_runtime_1.jsx)(index_1.Input.Text, { placeholder: "Enter the name of the instance" }, void 0) }, void 0)] }, void 0));
}
exports.ConfirmDeletionDialogForm = ConfirmDeletionDialogForm;

        