/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseProps = void 0;
const tasty_1 = require("../../tasty");
const allStyles = Array.from(new Set([
    ...tasty_1.BASE_STYLES,
    ...tasty_1.POSITION_STYLES,
    ...tasty_1.CONTAINER_STYLES,
    ...tasty_1.BLOCK_STYLES,
    ...tasty_1.COLOR_STYLES,
    ...tasty_1.FLOW_STYLES,
    ...tasty_1.OUTER_STYLES,
    ...tasty_1.DIMENSION_STYLES,
    ...tasty_1.TEXT_STYLES,
    ...tasty_1.POSITION_STYLES,
]));
exports.baseProps = [
    'qa',
    'qaVal',
    'block',
    'inline',
    'style',
    'styles',
    'css',
    'styleName',
    'hidden',
    'disabled',
    'mods',
    'breakpoints',
    'isHidden',
    'element',
    ...allStyles,
];

        