/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paddingBlockStyle = void 0;
const styles_1 = require("../utils/styles");
function paddingBlockStyle({ paddingBlock: padding, paddingTop, paddingBottom, }) {
    if (typeof padding === 'number') {
        padding = `${padding}px`;
    }
    if (!padding)
        return '';
    if (padding === true)
        padding = '1x';
    let { values } = (0, styles_1.parseStyle)(padding);
    if (!values.length) {
        values = ['var(--gap)'];
    }
    const styles = {};
    if (paddingTop == null) {
        styles['padding-top'] = values[0];
    }
    if (paddingBottom == null) {
        styles['padding-bottom'] = values[1] || values[0];
    }
    return styles;
}
exports.paddingBlockStyle = paddingBlockStyle;
paddingBlockStyle.__lookupStyles = [
    'paddingBlock',
    'paddingTop',
    'paddingBottom',
];

        