/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modAttrs = void 0;
const case_converter_1 = require("./case-converter");
const cache_wrapper_1 = require("./cache-wrapper");
function modAttrs(map) {
    return map
        ? Object.keys(map).reduce((attrs, key) => {
            if (map[key]) {
                attrs[`data-is-${(0, case_converter_1.camelToKebab)(key)}`] = '';
            }
            return attrs;
        }, {})
        : null;
}
const _modAttrs = (0, cache_wrapper_1.cacheWrapper)(modAttrs);
exports.modAttrs = _modAttrs;

        