/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapNodeIfPlain = void 0;
const react_1 = require("react");
const react_is_1 = require("react-is");
function wrapNodeIfPlain(children, render) {
    const childrenIsFragment = children && (Array.isArray(children) || (0, react_is_1.isFragment)(children));
    if (!children || (!childrenIsFragment && (0, react_1.isValidElement)(children))) {
        return children;
    }
    return render();
}
exports.wrapNodeIfPlain = wrapNodeIfPlain;

        