/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { useEvent } from './use-event';
export function useChainedCallback(...callbacks) {
    return useEvent((...args) => {
        callbacks.forEach((callback) => {
            if (typeof callback === 'function') {
                callback(...args);
            }
        });
    });
}

        