/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useSlotProps } from '../../../utils/react';
import { Space } from '../../layout/Space';
import { tasty } from '../../../tasty';
const ButtonGroupElement = tasty(Space, {
    qa: 'ButtonGroup',
    styles: {
        gridArea: 'buttonGroup',
    },
});
export const ButtonGroup = forwardRef(function ButtonGroup(props, ref) {
    return (_jsx(ButtonGroupElement, { ref: ref, ...useSlotProps(props, 'buttonGroup') }, void 0));
});

        