/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, TEXT_STYLES, } from '../../tasty';
import { Text } from './Text';
const DEFAULT_STYLES = {
    preset: 'p3',
    color: '#dark.75',
    display: 'block',
};
const STYLE_PROPS = [...CONTAINER_STYLES, ...TEXT_STYLES];
export const Paragraph = forwardRef(function Paragraph(props, ref) {
    const styles = extractStyles(props, STYLE_PROPS, DEFAULT_STYLES);
    return _jsx(Text, { as: "p", qa: "Paragraph", ...props, ref: ref, styles: styles }, void 0);
});

        