/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { TextInput } from '../TextInput/TextInput';
import { PasswordInput } from '../PasswordInput/PasswordInput';
import { NumberInput } from '../NumberInput/NumberInput';
import { FileInput } from '../FileInput/FileInput';
import { TextArea } from '../TextArea/TextArea';
export const Input = Object.assign(forwardRef(function Input(props, ref) {
    return _jsx(TextInput, { ref: ref, ...props }, void 0);
}), {
    Text: TextInput,
    Password: PasswordInput,
    Number: NumberInput,
    TextArea: TextArea,
    File: FileInput,
});

        