/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../../tasty';
const FlexElement = tasty({
    styles: {
        display: 'flex',
        flow: 'row',
    },
});
export const Flex = forwardRef(function Flex(props, ref) {
    const styles = extractStyles(props, CONTAINER_STYLES);
    return (_jsx(FlexElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        