/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card } from '../../content/Card/Card';
import { Title } from '../../content/Title';
import { Text } from '../../content/Text';
export function StatsCard({ title, value, suffix, ...props }) {
    return (_jsxs(Card, { display: "flex", placeContent: "space-between", gap: "1x", border: false, shadow: "0 2px 6px #dark.10", padding: "2.5x", ...props, children: [_jsx(Title, { nowrap: true, level: 4, color: "#minor", preset: "default", children: title }, void 0), _jsxs(Text.Strong, { preset: "h3", children: [value, " ", suffix] }, void 0)] }, void 0));
}

        