/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useRef } from 'react';
import { useTableHeaderRow } from '@react-aria/table';
import { Tr } from './TableElementsBase';
export function TableHeaderRow(props) {
    const { item, state, children, styles, ...otherProps } = props;
    let ref = useRef(null);
    let { rowProps } = useTableHeaderRow({ node: item }, state, ref);
    return (_jsx(Tr, { ...rowProps, ...otherProps, ref: ref, role: 'HeaderRow', styles: { borderTop: '0', borderBottom: '1px solid #e5e5fc', ...styles }, children: children }, void 0));
}

        