/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { createContext, useContext } from 'react';
import invariant from 'tiny-invariant';
export const DialogContext = createContext({});
export function useDialogContext() {
    const dialogContext = useContext(DialogContext);
    invariant(dialogContext !== null, '');
    return dialogContext;
}

        