/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { X } from '@jengaicons/react';
import { Button } from '../../../actions';
import { tasty } from '../../../../tasty';
const CloseButton = tasty(Button, {
    icon: _jsx(X, {}, void 0),
    label: 'Close the notification',
    qa: 'NotificationCloseButton',
    type: 'neutral',
    size: 'small',
    styles: { gridArea: 'close', display: 'flex', padding: '1x' },
});
export const NotificationCloseButton = memo(function NotificationCloseButton(props) {
    const { onPress } = props;
    return _jsx(CloseButton, { onPress: onPress }, void 0);
});

        