/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { Title } from '../../../content/Title';
import { tasty } from '../../../../tasty';
const Header = tasty(Title, {
    as: 'div',
    preset: 'h6',
    styles: {
        gridArea: 'header',
        cursor: 'default',
        '&:not(:empty)': {
            margin: '0.25x 0 0.5x',
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export const NotificationHeader = memo(function NotificationHeader(props) {
    const { header, ...headerProps } = props;
    return _jsx(Header, { ...headerProps, children: header }, void 0);
});

        