/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createContext, useMemo } from 'react';
import { Portal } from '../../../portal';
import { NotificationsBar } from '../Bar';
import { useNotifications } from './use-notifications';
export const NotificationsContext = createContext(null);
export function NotificationsProvider(props) {
    const { children, rootRef } = props;
    const { notifications, api, addOnDismissListener, onDismissNotification } = useNotifications(rootRef);
    const providerValue = useMemo(() => ({ api, addOnDismissListener }), []);
    return (_jsxs(NotificationsContext.Provider, { value: providerValue, children: [_jsx(Portal, { children: _jsx(NotificationsBar, { items: notifications, onRemoveNotification: api.remove, onDismissNotification: onDismissNotification, children: (notification) => (_jsx(NotificationsBar.Item, { ...notification }, notification.id)) }, void 0) }, void 0), children] }, void 0));
}

        