/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { TooltipTrigger } from './TooltipTrigger';
import { Tooltip } from './Tooltip';
function TooltipProvider(props) {
    const [rendered, setRendered] = useState(false);
    const { title, children, tooltipStyles, width, ...otherProps } = props;
    useEffect(() => {
        setRendered(true);
    }, []);
    return rendered ? (_jsxs(TooltipTrigger, { ...otherProps, children: [children, _jsx(Tooltip, { styles: tooltipStyles, ...(width ? { width } : null), children: title }, void 0)] }, void 0)) : (_jsx(_Fragment, { children: children }, void 0));
}
let _TooltipProvider = TooltipProvider;
export { _TooltipProvider as TooltipProvider };

        