/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DialogForm, Field, Paragraph, Input, Text, } from '../../index';
export function ConfirmDeletionDialogForm(props) {
    let { name, onSubmit, onDismiss } = props;
    return (_jsxs(DialogForm, { title: "Delete Deployment", submitProps: {
            label: 'Delete',
            theme: 'danger',
        }, cancelProps: {
            label: 'I changed my mind',
        }, onSubmit: onSubmit, onDismiss: onDismiss, children: [_jsxs(Paragraph, { children: ["To delete the instance, please, enter its full name:", ' ', _jsx(Text.Strong, { children: name }, void 0)] }, void 0), _jsx(Field, { name: "name", rules: [
                    {
                        required: true,
                        message: 'This field is required',
                    },
                    {
                        async validator(rule, value) {
                            if (value !== name) {
                                throw new Error('Incorrect name');
                            }
                        },
                    },
                ], children: _jsx(Input.Text, { placeholder: "Enter the name of the instance" }, void 0) }, void 0)] }, void 0));
}

        