/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

export function boxShadowCombinator(styles) {
    const values = boxShadowCombinator.__lookupStyles.reduce((list, style) => {
        const value = styles[style];
        if (value) {
            list.push(`var(--local-${style}-box-shadow)`);
        }
        return list;
    }, []);
    if (!values.length)
        return '';
    return { 'box-shadow': values.join(', ') };
}
boxShadowCombinator.__lookupStyles = ['outline', 'shadow'];

        