/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { camelToKebab } from './case-converter';
import { cacheWrapper } from './cache-wrapper';
function modAttrs(map) {
    return map
        ? Object.keys(map).reduce((attrs, key) => {
            if (map[key]) {
                attrs[`data-is-${camelToKebab(key)}`] = '';
            }
            return attrs;
        }, {})
        : null;
}
const _modAttrs = cacheWrapper(modAttrs);
export { _modAttrs as modAttrs };

        