/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

/** Converts AriaButtonProps to JengaButtonProps */
export function ariaToJengaButtonProps(props) {
    const { type, ...filteredProps } = props;
    return {
        ...filteredProps,
        htmlType: type,
    };
}
/** Converts JengaButtonProps to AriaButtonProps */
export function jengaToAriaButtonProps(props) {
    const { htmlType, ...filteredProps } = props;
    return {
        ...filteredProps,
        type: htmlType,
    };
}

        