/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { isValidElement } from 'react';
import { isFragment } from 'react-is';
export function wrapNodeIfPlain(children, render) {
    const childrenIsFragment = children && (Array.isArray(children) || isFragment(children));
    if (!children || (!childrenIsFragment && isValidElement(children))) {
        return children;
    }
    return render();
}

        