export declare class Timer {
    private readonly callback;
    private readonly delay;
    private remaining;
    private timerId;
    private startTime;
    private _status;
    get status(): "paused" | "running" | "stopped";
    private set status(value);
    constructor(callback: () => unknown, delay: number);
    reset(): void;
    pause(): void;
    resume(): void;
    private clear;
}
