/// <reference types="react" />
import { BaseProps } from '../tasty';
import { TrackingProps } from '../providers/TrackingProvider';
export interface JengaRootProps extends BaseProps {
    tokens?: {
        [key: string]: string;
    };
    bodyStyles?: {
        [key: string]: string;
    };
    fonts?: boolean;
    publicUrl?: string;
    router?: any;
    font?: string;
    monospaceFont?: string;
    applyLegacyTokens?: boolean;
    tracking?: TrackingProps;
}
export declare function Root(allProps: JengaRootProps): JSX.Element;
