import { MouseEventHandler } from 'react';
import { AriaButtonProps } from '@react-types/button';
import { BaseProps, BaseStyleProps, ContainerStyleProps, TagNameProps, TextStyleProps } from '../../tasty';
export interface JengaActionProps extends BaseProps, TagNameProps, BaseStyleProps, ContainerStyleProps, TextStyleProps, Omit<AriaButtonProps, 'type'> {
    to?: string;
    label?: string;
    htmlType?: 'button' | 'submit' | 'reset' | undefined;
    onClick?: MouseEventHandler;
    onMouseEnter?: MouseEventHandler;
    onMouseLeave?: MouseEventHandler;
}
export declare const Action: import("react").ForwardRefExoticComponent<JengaActionProps & import("react").RefAttributes<import("@react-types/shared").FocusableRefValue<HTMLElement, HTMLElement>>>;
