/// <reference types="react" />
import { BaseProps, ContainerStyleProps, Styles } from '../../../tasty';
export interface JengaPrismCodeProps extends ContainerStyleProps {
    /** The CSS style map */
    style?: BaseProps['style'];
    styles?: Styles;
    /** The code snippet */
    code?: string;
    /** The language of the code snippet */
    language?: 'javascript' | 'css' | 'sql' | 'less' | 'html' | 'json' | 'yaml' | 'bash' | 'editorconfig' | 'php' | 'python' | 'typescript';
}
/**
 * Code block with syntax highlighting
 */
declare const _PrismCode: import("react").ForwardRefExoticComponent<JengaPrismCodeProps & import("react").RefAttributes<unknown>>;
export { _PrismCode as PrismCode };
