/// <reference types="react" />
import { BaseProps, ContainerStyleProps, PositionStyleProps, TagNameProps } from '../../tasty';
import { JengaTextProps } from './Text';
export interface JengaTitleProps extends BaseProps, JengaTextProps, TagNameProps, ContainerStyleProps, PositionStyleProps {
    /** The level of the heading **/
    level?: 1 | 2 | 3 | 4 | 5 | 6;
}
declare const Title: import("react").ForwardRefExoticComponent<JengaTitleProps & import("react").RefAttributes<unknown>> & {
    Danger: import("react").ForwardRefExoticComponent<JengaTitleProps & import("react").RefAttributes<unknown>>;
    Success: import("react").ForwardRefExoticComponent<JengaTitleProps & import("react").RefAttributes<unknown>>;
};
export { Title };
