/// <reference types="react" />
import { BaseProps } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import { CheckboxGroup } from './CheckboxGroup';
import type { AriaCheckboxProps } from '@react-types/checkbox';
export interface JengaCheckboxProps extends BaseProps, AriaCheckboxProps, FormFieldProps {
}
declare let __Checkbox: import("react").ForwardRefExoticComponent<Omit<JengaCheckboxProps, "isSelected" | "defaultSelected"> & {
    isSelected?: any;
    defaultSelected?: any;
} & import("react").RefAttributes<import("@react-types/shared").FocusableRefValue<HTMLElement, HTMLElement>>> & {
    Group: typeof CheckboxGroup;
} & {
    Group: import("react").ForwardRefExoticComponent<Omit<import("./CheckboxGroup").JengaCheckboxGroupProps, "value" | "defaultValue"> & {
        value?: any;
        defaultValue?: any;
    } & import("react").RefAttributes<unknown>>;
};
export { __Checkbox as Checkbox };
