import type { ValidateTrigger } from '../../../../shared';
import type { JengaFieldProps } from './types';
import type { FieldTypes } from '../types';
export declare type UseFieldPropsParams = {
    valuePropsMapper?: ({ value, onChange }: {
        value: any;
        onChange: any;
    }) => any;
    /**
     * @default 'onBlur'
     */
    defaultValidationTrigger?: ValidateTrigger;
    /**
     * prop helps to prevent calling hook conditionally, but changing this prop during render is unsafe and forbidden
     * If you want to change this prop after mount, remount the component with a new value.
     */
    unsafe__isDisabled?: boolean;
};
export declare function useFieldProps<T extends FieldTypes, Props extends JengaFieldProps<T>>(props: Props, params?: UseFieldPropsParams): Props;
