/// <reference types="react" />
import { JengaTextInputBaseProps } from '../TextInput/TextInputBase';
import type { AriaNumberFieldProps } from '@react-types/numberfield';
export interface JengaNumberInputProps extends Omit<JengaTextInputBaseProps, 'defaultValue' | 'value' | 'onChange'>, AriaNumberFieldProps {
    /** Whether or to hide stepper */
    hideStepper?: boolean;
}
/**
 * NumberFields allow users to enter a number, and increment or decrement the value using stepper buttons.
 */
declare const _NumberInput: import("react").ForwardRefExoticComponent<Omit<JengaNumberInputProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
export { _NumberInput as NumberInput };
