/// <reference types="react" />
import { JengaTextInputBaseProps } from '../TextInput/TextInputBase';
export interface JengaSearchInputProps extends JengaTextInputBaseProps {
    /** Whether the search input is clearable using ESC keyboard button or clear button inside the input */
    isClearable?: boolean;
}
export declare const SearchInput: import("react").ForwardRefExoticComponent<Omit<JengaSearchInputProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
