import { RefObject, ReactNode } from 'react';
import { SliderState } from '@react-stately/slider';
import { JengaSliderBaseProps } from './types';
export interface SliderBaseChildArguments {
    inputRef: RefObject<HTMLInputElement>;
    trackRef: RefObject<HTMLElement>;
    state: SliderState;
}
export interface SliderBaseProps<T = number[]> extends JengaSliderBaseProps<T> {
    children: (opts: SliderBaseChildArguments) => ReactNode;
}
declare const _SliderBase: import("react").ForwardRefExoticComponent<SliderBaseProps<number[]> & import("react").RefAttributes<import("@react-types/shared").FocusableRefValue<HTMLDivElement, HTMLDivElement>>>;
export { _SliderBase as SliderBase };
