/// <reference types="react" />
import { WithNullableValue } from '../../../utils/react/nullableValue';
import { JengaTextInputBaseProps } from './TextInputBase';
export declare type JengaTextInputProps = WithNullableValue<JengaTextInputBaseProps>;
export declare const TextInput: import("react").ForwardRefExoticComponent<Omit<JengaTextInputBaseProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<HTMLInputElement>>;
