/// <reference types="react" />
import { JengaCardProps } from '../../content/Card/Card';
export interface JengaModalProps extends JengaCardProps {
    title?: string;
    isVisible?: boolean;
    type?: 'default' | 'primary' | 'info' | 'danger';
    isClosable?: boolean;
    isLoading?: boolean;
    okType?: 'default' | 'primary' | 'danger';
    okText?: string;
    cancelText?: string;
    onOk?: (any: any) => Promise<any> | void | false;
    onCancel?: () => Promise<any> | void;
    onClose?: () => Promise<any> | void;
    isDisabled?: boolean;
}
/**
 * @deprecated Prefer using Dialog instead
 *
 * DEPRECATED Modal component
 * Designed after AntD Modal component and almost duplicate its API.
 * Use Dialog component instead
 */
export declare function Modal(allProps: JengaModalProps): JSX.Element;
export declare namespace Modal {
    var confirm: (options: any) => void;
    var info: (options: any) => void;
}
