/// <reference types="react" />
import { BaseProps, Styles } from '../../../tasty';
import { WithCloseBehavior } from './types';
import type { ModalProps } from '@react-types/overlays';
export declare const OVERLAY_WRAPPER_STYLES: Styles;
export interface JengaModalProps extends Omit<ModalProps, 'container'>, WithCloseBehavior {
    container?: HTMLElement;
    qa?: BaseProps['qa'];
    onClose?: (action?: string) => void;
    type?: 'modal' | 'fullscreen' | 'fullscreenTakeover';
    styles?: Styles;
    shouldCloseOnInteractOutside?: (element: Element) => boolean;
}
declare let _Modal: import("react").ForwardRefExoticComponent<JengaModalProps & import("react").RefAttributes<unknown>>;
export { _Modal as Modal };
