import { HTMLAttributes } from 'react';
import { OverlayProps } from '@react-types/overlays';
import { BaseProps } from '../../../tasty';
import { PlacementAxis } from '../../../shared';
import { TransitionState, WithCloseBehavior } from './types';
export interface JengaPopoverProps extends BaseProps, Omit<OverlayProps, 'children'>, WithCloseBehavior, TransitionState {
    container?: HTMLElement;
    placement?: PlacementAxis;
    arrowProps?: HTMLAttributes<HTMLElement>;
    hideArrow?: boolean;
    isOpen?: boolean;
    onClose?: () => void;
    shouldCloseOnBlur?: boolean;
    isNonModal?: boolean;
    isDismissable?: boolean;
    updatePosition?: () => void;
    shouldCloseOnInteractOutside?: (element: Element) => boolean;
}
declare let _Popover: import("react").ForwardRefExoticComponent<JengaPopoverProps & import("react").RefAttributes<unknown>>;
export { _Popover as Popover };
