import { Key } from 'react';
import { JengaNotifyApiPropsWithID } from '../types';
import { NotificationItemNode, NotificationsListState } from '../hooks';
export declare type FloatingNotificationProps = {
    id: Key;
    isDisabledTimer: boolean;
    onRemoveNotification: (id: Key) => void;
    onDismissNotification: (id: Key) => void;
    item: NotificationItemNode<JengaNotifyApiPropsWithID>;
    state: NotificationsListState<JengaNotifyApiPropsWithID>;
};
/**
 * @internal This component is unstable and must not be used outside of `NotificationsBar`.
 */
export declare const FloatingNotification: import("react").NamedExoticComponent<FloatingNotificationProps>;
