import { Styles } from '../../../../tasty';
import { Timer } from '../../../../_internal';
import { BaseNotificationProps } from '../types';
import type { JengaNotificationType } from '../types';
import type { ReactNode, HTMLAttributes } from 'react';
export declare type NotificationProps = {
    qa?: string;
    attributes?: HTMLAttributes<HTMLDivElement>;
    styles?: Styles;
    timer?: Timer | null;
    onClose?: () => void;
} & BaseNotificationProps;
export declare type NotificationIconProps = {
    type: JengaNotificationType;
    icon?: ReactNode;
};
