import { Key, RefObject } from 'react';
import { JengaNotificationsApi, JengaNotifyApiPropsWithID } from '../types';
export declare function useNotifications(rootRef: RefObject<HTMLElement | null> | null): {
    readonly api: JengaNotificationsApi;
    readonly notifications: JengaNotifyApiPropsWithID[];
    readonly onDismissNotification: (id: Key) => void;
    readonly addOnDismissListener: (listener: (notification: JengaNotifyApiPropsWithID) => void) => () => void | undefined;
};
