import type { ListState } from '@react-stately/list';
import type { Collection, CollectionElement, Node } from '@react-types/shared';
import type { JengaNotificationProps } from '../types';
export declare type CollectionChildren<T, R = T> = CollectionElement<R> | CollectionElement<R>[] | ((item: T) => CollectionElement<R>);
export declare type NotificationItemNode<T> = Omit<Node<JengaNotificationProps>, 'props'> & {
    props: T;
};
export declare type NotificationsListState<T> = Omit<ListState<T>, 'collection'> & {
    collection: Collection<NotificationItemNode<T>>;
};
