import { ReactNode } from 'react';
export interface JengaOverlayWrapperProps {
    isOpen?: boolean;
    placement?: 'start' | 'end' | 'right' | 'left' | 'top' | 'bottom';
    children: ReactNode;
    minOffset?: string | number;
    minScale?: string;
    container?: HTMLElement | null;
}
export declare function OverlayWrapper({ isOpen, placement, minOffset, minScale, children, container, }: JengaOverlayWrapperProps): JSX.Element;
