/// <reference types="react" />
import { DOMRefValue } from '@react-types/shared';
import { PlacementAxis } from '../../../shared';
import { BaseProps, ContainerStyleProps, Styles } from '../../../tasty';
import type { AriaTooltipProps } from '@react-types/tooltip';
export interface JengaTooltipProps extends BaseProps, ContainerStyleProps, AriaTooltipProps {
    tipStyles?: Styles;
    showIcon?: boolean;
    placement?: PlacementAxis;
    isMaterial?: boolean;
}
/**
 * Display container for Tooltip content. Has a directional arrow dependent on its placement.
 */
declare let _Tooltip: import("react").ForwardRefExoticComponent<JengaTooltipProps & import("react").RefAttributes<DOMRefValue<HTMLDivElement>>>;
export { _Tooltip as Tooltip };
