import { ReactNode } from 'react';
import { Styles } from '../../../tasty';
import { JengaTooltipTriggerProps } from './TooltipTrigger';
import { JengaTooltipProps } from './Tooltip';
export interface JengaTooltipProviderProps extends Omit<JengaTooltipTriggerProps, 'children'> {
    children: JengaTooltipTriggerProps['children'][0];
    title?: ReactNode;
    tooltipStyles?: Styles;
    width?: JengaTooltipProps['width'];
}
declare function TooltipProvider(props: JengaTooltipProviderProps): JSX.Element;
declare let _TooltipProvider: typeof TooltipProvider;
export { _TooltipProvider as TooltipProvider };
