import { ReactNode } from 'react';
import { JengaButtonProps } from '../../actions';
export declare type MenuSelectionType = 'checkbox' | 'radio';
export declare type MenuButtonProps = {
    postfix: ReactNode;
    selectionIcon?: MenuSelectionType;
    isSelectable?: boolean;
    disabled?: boolean;
} & JengaButtonProps;
export declare function MenuButton({ children, icon, postfix, ...props }: MenuButtonProps): JSX.Element;
