import { Key } from 'react';
import { Node } from '@react-types/shared';
import { TreeState } from '@react-stately/tree';
import { Styles } from '../../../tasty';
import { MenuSelectionType } from './MenuButton';
export interface MenuItemProps<T> {
    item: Node<T>;
    state: TreeState<T>;
    styles?: Styles;
    selectionIcon?: MenuSelectionType;
    isVirtualized?: boolean;
    isDisabled?: boolean;
    onAction?: (key: Key) => void;
}
/** @private */
export declare function MenuItem<T>(props: MenuItemProps<T>): JSX.Element;
