export declare const DISABLE_BASE_ARGS: {};
export declare const LABEL_POSITION_ARG: {
    labelPosition: {
        description: string;
        options: string[];
        control: string;
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: string;
            };
        };
    };
};
export declare const LABEL_ARG: {
    label: {
        control: string;
        description: string;
    };
};
export declare const EXTRA_ARG: {
    extra: {
        control: string;
        description: string;
    };
};
export declare const DESCRIPTION_ARG: {
    description: {
        control: string;
        description: string;
    };
};
export declare const NECESSITY_INDICATOR_ARG: {
    necessityIndicator: {
        description: string;
        options: (string | boolean)[];
        control: string;
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: string;
            };
        };
    };
};
export declare const MESSAGE_ARG: {
    message: {
        description: string;
        control: string;
    };
};
export declare const PLACEHOLDER_ARG: {
    placeholder: {
        control: string;
    };
};
export declare const VALIDATION_STATE_ARG: {
    validationState: {
        description: string;
        options: (string | undefined)[];
        control: string;
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: string;
            };
        };
    };
};
export declare const IS_LOADING_ARG: {
    isLoading: {
        control: string;
        description: string;
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const AUTO_FOCUS_ARG: {
    autoFocus: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const IS_REQUIRED_ARG: {
    isRequired: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const IS_READ_ONLY_ARG: {
    isReadOnly: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const IS_DISABLED_ARG: {
    isDisabled: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const SIZE_ARG: {
    size: {
        description: string;
        options: (string | undefined)[];
        control: string;
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: string;
            };
        };
    };
};
export declare const MULTILINE_ARG: {
    multiLine: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const REQUIRED_MARK_ARG: {
    requiredMark: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
export declare const TEXT_VALUE_ARG: {
    value: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultValue: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const NUMBER_VALUE_ARG: {
    value: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultValue: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const MULTIPLE_VALUE_ARG: {
    value: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultValue: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const MULTIPLE_NUMBER_VALUE_ARG: {
    value: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultValue: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const IS_SELECTED_ARG: {
    isSelected: {
        defaultValue: undefined;
        description: string;
        control: {
            type: string;
            options: (boolean | undefined)[];
        };
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultSelected: {
        defaultValue: undefined;
        description: string;
        control: {
            type: string;
            options: (boolean | undefined)[];
        };
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const IS_INDETERMINATE_ARG: {
    isIndeterminate: {
        defaultValue: undefined;
        description: string;
        control: {
            type: string;
            options: (boolean | undefined)[];
        };
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const SELECTED_KEY_ARG: {
    selectedKey: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
    defaultSelectedKey: {
        defaultValue: undefined;
        description: string;
        control: string;
        table: {
            type: {
                summary: string;
            };
        };
    };
};
export declare const ICON_ARG: {
    icon: {
        description: string;
        control: {
            type: string;
        };
        table: {
            type: {
                summary: string;
            };
            defaultValue: {
                summary: boolean;
            };
        };
    };
};
