import { RawStyleHandler, StyleHandler } from '../utils/styles';
declare type StyleHandlerMap = Record<string, StyleHandler[]>;
export declare const STYLE_HANDLER_MAP: StyleHandlerMap;
export declare function defineCustomStyle(names: string[] | StyleHandler, handler?: RawStyleHandler): void;
declare type ConverterHandler = (s: string | boolean | number | undefined) => string | undefined;
export declare function defineStyleAlias(styleName: string, cssStyleName?: string, converter?: ConverterHandler): void;
export declare function predefine(): {
    STYLE_HANDLER_MAP: StyleHandlerMap;
    defineCustomStyle: typeof defineCustomStyle;
    defineStyleAlias: typeof defineStyleAlias;
};
export {};
