/**
 * If a default is not provided, generate an id.
 * @param defaultId - Default component id.
 */
export declare function useId(defaultId?: any): string;
/**
 * Merges two ids.
 * Different ids will trigger a side-effect and re-render components hooked up with `useId`.
 */
export declare function mergeIds(idA: any, idB: any): any;
/**
 * Used to generate an id, and after render, check if that id is rendered so we know
 * if we can use it in places such as labelledby.
 */
export declare function useSlotId(): string | null;
